complexType "OffsetPrevailingTime"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | time, offset?
</...>

Content Model Elements (2):

  offset, | time (defined in OffsetPrevailingTime complexType)

All Direct / Indirect Based Elements (2):

  endTime, startTime

Known Usage Locations

- As direct type of elements (2):
  endTime, startTime

Annotation
Allows the specification of a time that may be on a day prior or subsequent to the day in question. This type is intended for use with a day of the week (i.e. where no actual date is specified) as part of, for example, a period that runs from 23:00-07:00 on a series of days and where holidays on the actual days would affect the entire time period.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="OffsetPrevailingTime"> <xsd:sequence> <xsd:element name="time" type="PrevailingTime"/> <xsd:element minOccurs="0" name="offset" type="Offset"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
offset

  Type: | Offset, complex content

  Indicates whether time applies to the actual day specified (in which case this element should be omitted) the day prior to that day (in which case periodMultiplier should be -1 and period should be Day) or the day subsequent to that day (in which case periodMultiplier should be 1 and period should be Day).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="offset" type="Offset"/>

time

  Type: | PrevailingTime, complex content

  XML Source (see within schema source)

  <xsd:element name="time" type="PrevailingTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.